curl --request GET \
--url https://catalog.basaltic.sh/v1/regionsimport requests
url = "https://catalog.basaltic.sh/v1/regions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog.basaltic.sh/v1/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"regions": [
{
"state": "active",
"accepting_new_resources": true,
"crn": "crn:catalog::platform:region/sa-saopaulo-1",
"code": "sa-saopaulo-1",
"name": "São Paulo 1",
"location": "São Paulo, Brazil",
"country_code": "BR",
"available": true,
"coming_soon": false
}
],
"default": "sa-saopaulo-1"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests, please try again later",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Listar regiões
Lista de regiões publicadas, incluindo locais planeados e em retirada. Nenhuma autenticação é necessária. As solicitações são limitadas por taxa por IP do cliente. Os filtros nome exato e CRN combinam com AND; um nome vazio não corresponde a nada e um CRN vazio ou mal formado retorna 400. O padrão é a região de aceitação configurada se estiver no resultado, caso contrário, a primeira região de aceitação por código, ou uma string vazia quando nenhuma aceitar novos recursos.
Respostas bem-sucedidas podem ser armazenadas em cache de forma privada por 60 segundos. A descoberta não concede permissões de provisionamento nem garante capacidade ou integridade. Uma interrupção ou desativação de catálogo não exclui recursos nem altera seu posicionamento existente.
Parâmetros de consulta
Nome exato do recurso, combinado com crn usando AND antes da paginação. Valores vazios são filtros. Recursos sem um nome nunca correspondem.
Exato CRN retornado, combinado com o nome usando AND antes da paginação. CRNs mal formados ou vazios retornam 400; CRNs válidos incompatíveis ou estrangeiros retornam uma página vazia. Recursos sem um CRN nunca correspondem. CRNs com escopo de organização usam a organização autenticada.

